Summary: A Perl program for mirroring FTP sites.
Name: mirror
Version: 2.9
Release: 7
Copyright: distributable
Group: Applications/Internet
Source:  ftp://sunsite.org.uk/packages/mirror/mirror.tar.gz  
Url: http://sunsite.doc.ic.ac.uk/packages/mirror/
Patch: mirror-2.9-redhat.patch
Patch1: wu-ftpd-2.6.0-mirror-2.9.patch
Patch2: mirror-build.patch
BuildRoot: /var/tmp/mirror-root
BuildArchitectures: noarch

%description
Mirror uses the FTP protocol to duplicate a directory hierarchy
between its local host and a remote host.  Mirror avoids unnecessarily
copying files by comparing the file timestamps and sizes before
transfer.  Mirror is also optionally capable of compressing, gzipping
and splitting files.  Mirror was written for the use of archive
maintainers but can be used by anyone who needs to transfer a large
number of files via FTP.

%prep
%setup -q -c
%patch -p1 -b .redhat
%patch1 -p1 -b .wuftpd
%patch2 -p1 -b .sp

%build 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/mirror
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
make "PLDIR=$RPM_BUILD_ROOT/usr/lib/mirror" "BINDIR=$RPM_BUILD_ROOT/usr/bin" "MANDIR=$RPM_BUILD_ROOT/usr/man/man1" install

install -m 644 mirror.defaults $RPM_BUILD_ROOT/etc

ln -sf mirror.pl $RPM_BUILD_ROOT/usr/bin/mirror

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt *.html CHANGES*
%doc mirror.nightly support/cyber-patches support/lstest.pl
%config /etc/mirror.defaults
/usr/bin/do_unlinks.pl
/usr/bin/mirror
/usr/bin/mirror.pl
/usr/bin/mm.pl
/usr/bin/pkgs_to_mmin.pl
/usr/lib/mirror/dateconv.pl
/usr/lib/mirror/ftp.pl
/usr/lib/mirror/lchat.pl
/usr/lib/mirror/lsparse.pl
/usr/man/man1/mirror.1
/usr/man/man1/mm.1


%changelog
* Mon Nov 15 1999 Peter Soos <sp@osb.hu>
- Fix to build the package as ordinary user

* Fri Nov  5 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix RFC compliance (thereby allowing to connect to wu-ftpd 2.6.0)

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0 

* Tue Oct 27 1998 Cristian Gafton <gafton@redhat.com>
- enhanced redhat patch

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- updated package to 2.9
- fixed spec file

* Mon May 18 1998 Michael Maher <mike@redhat.com>
- updated rpm package and cleaned up SRPM.

* Fri Jan  9 1998 Otto Hammersmith <otto@redhat.com>
- grabbed contrib package for powertools.

